## dde-qt5platform-plugins 5.0.59

=== debian/changelog ===
dde-qt5platform-plugins (5.0.59-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 22 Feb 2022 13:38:17 +0800

dde-qt5platform-plugins (5.0.0-1) unstable; urgency=medium

  * Initial release

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 06 May 2020 11:59:02 +0800

qt5dxcb-plugin (1.0.0-1) unstable; urgency=medium

  * Initial release

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 08 Nov 2016 15:10:02 +0800
