## dde-qt5platform-plugins 5.0.65

=== debian/changelog ===
dde-qt5platform-plugins (5.0.65-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 22 Jun 2022 11:10:55 +0800
