## dde-qt5platform-plugins 5.0.68

=== debian/changelog ===
dde-qt5platform-plugins (5.0.68-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 31 Aug 2022 15:23:09 +0800
