=== debian/control ===
Source: dde-qt5platform-plugins
Section: devel
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper (>=9), qtbase5-dev, qtbase5-private-dev,
 pkg-config, libqt5x11extras5-dev, libxcb-xkb-dev, libxcb-render-util0-dev,
 libxcb-image0-dev, libxcb-icccm4-dev, libxcb-keysyms1-dev, libegl1-mesa-dev,
 libmtdev-dev, libxkbcommon-x11-dev, libdbus-1-dev, libqt5opengl5-dev,
 libudev-dev, libxrender-dev,libxi-dev, libsm-dev, libxcb-xinerama0-dev,
 libfontconfig1-dev, libfreetype6-dev, libglib2.0-dev, libxcb-damage0-dev,
 libxcb-composite0-dev, libcairo2-dev, libkf5wayland-dev, qtwayland5-private-dev | libqt5waylandclient5-dev,
 libwayland-dev, libxcb-xinput-dev, libxcb-util-dev | libxcb-util0-dev,
 libx11-xcb-dev, libxcb-sync-dev, libxcb-randr0-dev
Standards-Version: 3.9.8

Package: dde-qt5xcb-plugin
Architecture: any
Provides: libqt5dxcb-plugin
Conflicts: libqt5dxcb-plugin, qt5dxcb-plugin
Breaks:dde-qt5integration (<< 0.2.8.1)
Replaces: qt5dxcb-plugin
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt platform plugins
 Qt platform plugins for DDE.

Package: dde-qt5wayland-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, qtwayland5
Description: Qt platform plugins
 Qt platform plugins for DDE.
