## dde-qt5platform-plugins 5.0.70

=== debian/changelog ===
dde-qt5platform-plugins (5.0.70-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 13 Oct 2022 15:00:55 +0800
