## dde-qt5platform-plugins 5.0.71

=== debian/changelog ===
dde-qt5platform-plugins (5.0.71-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 28 Nov 2022 15:04:54 +0800

dde-qt5platform-plugins (5.0.71) unstable; urgency=medium

  * Release 5.0.71

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 24 Nov 2022 13:34:12 +0800
