=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
  libmtdev-dev, libxkbcommon-x11-dev, libdbus-1-dev, libqt5opengl5-dev,
  libudev-dev, libxrender-dev,libxi-dev, libsm-dev, libxcb-xinerama0-dev,
  libfontconfig1-dev, libfreetype6-dev, libglib2.0-dev, libxcb-damage0-dev,
- libxcb-composite0-dev, libcairo2-dev, libkf5wayland-dev, qtwayland5-private-dev | libqt5waylandclient5-dev,
+ libxcb-composite0-dev, libcairo2-dev, libdwayland-dev | libkf5wayland-dev,
+  qtwayland5-private-dev | libqt5waylandclient5-dev,
  libwayland-dev, libxcb-xinput-dev, libxcb-util-dev | libxcb-util0-dev,
  libx11-xcb-dev, libxcb-sync-dev, libxcb-randr0-dev
 Standards-Version: 3.9.8
