## dde-qt5platform-plugins 5.6.32

=== debian/changelog ===
dde-qt5platform-plugins (5.6.32) unstable; urgency=medium

  * fix: window border properties cannot change in real time(Issue: https://github.com/linuxdeepin/developer-center/issues/8342)(Influence: 边界颜色,边框宽度,阴影颜色,偏移量等窗口属性能实时变化)

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 08 Jul 2024 02:29:21 +0000

dde-qt5platform-plugins (5.6.31) unstable; urgency=medium

  * feat: support to qt 6.7.1
  * fix: change qt_assert to Q_ASSERT (#246)
    Thanks to Whale107

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 27 Jun 2024 09:11:34 +0000

dde-qt5platform-plugins (5.6.30) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 30 May 2024 02:46:31 +0000

dde-qt5platform-plugins (5.6.29) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 13 May 2024 03:02:54 +0000

dde-qt5platform-plugins (5.6.28) unstable; urgency=medium

  * fix: Need link Qt6DBus library
    Thanks to Hillwood Yang

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 29 Apr 2024 08:23:39 +0000

dde-qt5platform-plugins (5.6.27) unstable; urgency=medium

  * fix: BlurArea unpack error in qt5
  * fix: 修复阴影补偿属性无法设置的问题(Bug: 242761)(Influence: 阴影补偿属性)

 -- Deepin Packages Builder <packages@deepin.org>  Fri, 19 Apr 2024 08:55:35 +0000

dde-qt5platform-plugins (5.6.26) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 26 Mar 2024 05:47:35 +0000

dde-qt5platform-plugins (5.6.25) unstable; urgency=medium

  * another clean fix for #231 (#232)
    Thanks to Keeyou
  * chore: avoid build error

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 11 Mar 2024 01:16:26 +0000

dde-qt5platform-plugins (5.6.22) unstable; urgency=medium

  * fix #7057

 -- Mike Chen <chenke@deepin.org>  Thu, 25 Jan 2024 16:14:18 +0800

dde-qt5platform-plugins (5.6.21) unstable; urgency=medium

  * release 5.6.21

 -- Mike Chen <chenke@deepin.org>  Tue, 16 Jan 2024 20:09:03 +0800

dde-qt5platform-plugins (5.6.20) unstable; urgency=medium

  * release 5.6.20

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 29 Nov 2023 10:01:18 +0800

dde-qt5platform-plugins (5.6.16) unstable; urgency=medium

  * fix: ensue ddeshell failed
  * fix: typo ddeepin -> deepin
  * chore: change qmake to cmake (#185)
    Thanks to WangFei
  * chore: Add header files about xcb from Qt6
  * chore: Support Qt6
  * chore: set the default install prefix of cmake
  * chore: add the XcbQpaPrivate module in qt6 version
  * fix: application crashed when moving window
  * chore: resolve the warnings about deprecated-declarations
  * chore: resolve the warning from cmake
  * chore: Sync by https://github.com/linuxdeepin/.github/commit/559e91167d4919644f37bbcf123eb0651c1528ea(Influence: none)
  * fix: build failed in archlinux
  * chore: add unit test
  * fix: undefine symbol
  * fix: heap use after free
  * fix: unit test failed (setWindowRadius)
  * Revert "fix: unit test failed (setWindowRadius)"
  * fix: call setWindowRadius failed
  * chore: add unit test
  * chore: link to target directly on unit test
  * chore: Adapt to Qt 6.4.2
  * fix: can't find qeventpoint_p.h in qt5
  * chore: remove XcbQpaPrivate module on qt6
  * chore: add dtkcommon depency

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 24 Aug 2023 15:47:39 +0800

dde-qt5platform-plugins (5.6.12) unstable; urgency=medium

  * Release 5.6.12
  * FIX qt app server decoration not created in wayland

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 15 May 2023 11:32:41 +0800

dde-qt5platform-plugins (5.6.11) unstable; urgency=medium

  * Release 5.6.11
  * FIX dtk#63
  * FIX bug-195723 primary screen not right at startup

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 08 May 2023 13:57:30 +0800

dde-qt5platform-plugins (5.6.9) unstable; urgency=medium

  * Release 5.6.9

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 03 Apr 2023 10:24:44 +0800

dde-qt5platform-plugins (5.6.5) unstable; urgency=medium

  * Release 5.6.5

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 22 Feb 2023 14:17:33 +0800

dde-qt5platform-plugins (5.6.3) unstable; urgency=medium

  * Release 5.6.3

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 12 Dec 2022 17:28:22 +0800
