## dde-qt5platform-plugins 5.7.5

=== debian/changelog ===
dde-qt5platform-plugins (5.7.5) unstable; urgency=medium

  * fix: app crashed when QBytearray reallocated

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 12 Dec 2024 03:03:54 +0000

dde-qt5platform-plugins (5.7.4) unstable; urgency=medium

  * fix: app crashed when window destroyed in quick
  * fix: hasVtable is incorrect when destructing
  * fix: app crashed when window destroyed in quick

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 03 Dec 2024 02:00:46 +0000

dde-qt5platform-plugins (5.7.3) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 20 Nov 2024 02:19:06 +0000

dde-qt5platform-plugins (5.7.2) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 13 Nov 2024 01:53:26 +0000
