## dde-qt5platform-plugins 5.7.14

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,8 +22,6 @@
 
 include(GNUInstallDirs)
 include(CMakePackageConfigHelpers)
-
-option(BUILD_TESTING "Build tests" ON)
 
 if("${PROJECT_VERSION_MAJOR}" STREQUAL "5")
     set(QT_VERSION_MAJOR "5")
@@ -54,7 +52,7 @@
 if("${PROJECT_VERSION_MAJOR}" STREQUAL "5")
     add_subdirectory(wayland)
 endif()
-if(BUILD_TESTING AND NOT ${CMAKE_SYSTEM_PROCESSOR} MATCHES "loongarch")
+if(BUILD_TESTING)
     enable_testing()
     add_subdirectory(tests)
 endif()
