=== debian/changelog ===
dde-qt5platform-plugins (5.7.14) unstable; urgency=medium

  * Release 5.7.14

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 17 Apr 2025 21:52:12 +0800

dde-qt5platform-plugins (5.7.13) unstable; urgency=medium

  * fix: adapt to qt6 for PlatformWindowHelper

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 20 Mar 2025 17:06:50 +0800

dde-qt5platform-plugins (5.7.12) unstable; urgency=medium

  * fix: ToolTip's xsettings can't work in qt6
  * feat: Add files generated by qdbusXML2cpp and DCONG2cpp (#272)

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 06 Mar 2025 17:30:19 +0800

dde-qt5platform-plugins (5.7.11) unstable; urgency=medium

  * fix: DForeignWindow can't work in qt6

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 27 Feb 2025 20:48:29 +0800

dde-qt5platform-plugins (5.7.10) unstable; urgency=medium

  * Release 5.7.10

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 13 Feb 2025 17:19:06 +0800

dde-qt5platform-plugins (5.7.9) unstable; urgency=medium

  * chore: disable ut by default

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 23 Jan 2025 09:07:08 +0000

dde-qt5platform-plugins (5.7.8) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 14 Jan 2025 11:17:31 +0000

dde-qt5platform-plugins (5.7.7) unstable; urgency=medium

  * chore: mips64 disable compile unit test binaries mips64 disable compile unit test binaries
  * 	fix: after setting the cursor theme, it will not update in real-time.
  * fix: DNotitlebarWindowHelper can't be removed from mapped

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 09 Jan 2025 09:28:39 +0000

dde-qt5platform-plugins (5.7.6) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 02 Jan 2025 05:43:52 +0000
