## dde-qt5platform-plugins 5.7.16

=== debian/changelog ===
dde-qt5platform-plugins (5.7.16) unstable; urgency=medium

  * Release 5.7.16

 -- YeShanShan <yeshanshan@uniontech.com>  Mon, 19 May 2025 17:22:28 +0800

dde-qt5platform-plugins (5.7.15) unstable; urgency=medium

  * Release 5.7.15

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 08 May 2025 17:53:29 +0800
