## dde-qt5platform-plugins 5.7.21

=== debian/changelog ===
dde-qt5platform-plugins (5.7.21) unstable; urgency=medium

  * Release 5.7.21

 --  yeshanshan <packages@deepin.org>  Thu, 14 Aug 2025 19:48:22 +0800

dde-qt5platform-plugins (5.7.20) unstable; urgency=medium

  * Release 5.7.20

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 31 Jul 2025 19:59:56 +0800
