## dde-qt5platform-plugins 5.7.24

=== wayland/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later

add_subdirectory(dwayland)
add_subdirectory(wayland-shell)
