## dde-qt5platform-plugins 5.7.26

=== debian/changelog ===
dde-qt5platform-plugins (5.7.26) unstable; urgency=medium

  * Release 5.7.26

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 06 Nov 2025 17:02:58 +0800

dde-qt5platform-plugins (5.7.25) unstable; urgency=medium

  * Release 5.7.25

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 30 Oct 2025 21:47:08 +0800
